%define name	gd
%define version	2.0.33
%define subrel	4
%define release	%mkrel 5

%define major	2
%define libname	%mklibname %{name} %{major}

Summary:	A library used to create PNG, JPEG, or WBMP images
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-style
Source0:	http://www.boutell.com/gd/http/%{name}-%{version}.tar.bz2
Patch0:		gd-2.0.33-CAN-2004-0941.patch.bz2
Patch1:		02_infinite_loop.patch
Patch2:		gd-2.0.33-CVE-2007-0455.patch
Patch3:		gd-cvs-CVE-2007-2756.patch
Patch4:		gd-2.0.33_CVE-2007-3472.patch
Patch5:		gd-2.0.33_CVE-2007-3473.patch
Patch6:		gd-2.0.33_CVE-2007-3474.patch
Patch7:		gd-2.0.33_CVE-2007-3475.patch
Patch8:		gd-2.0.33_CVE-2007-3476.patch
Patch9:		gd-2.0.33_CVE-2007-3477.patch
Patch10:	gd-2.0.33_CVE-2007-3478.patch
Patch11:	gd-2.0.33-CVE-2006-4484.patch
Group:		System/Libraries
URL:		http://www.boutell.com/gd/
#It uses freetype2-devel, but uses the old library for gdttf
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	freetype2-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	XFree86-devel
BuildRequires:	xpm-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. If you are not a programmer,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

%package -n	%{libname}
Summary:	A library used to create PNG, JPEG, or WBMP images
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}
Obsoletes:	%name

%description -n	%{libname}
This package contains the library needed to run programs
dynamically linked with libgd

gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

%package -n	%{libname}-devel
Summary:	The development libraries and header files for gd
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n	%{libname}-devel
These are the development libraries and header files for gd,
the .png and .jpeg graphics library.

gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

If you're installing the gd graphics library, you'll probably want
to install gd-devel.

%package -n	%{libname}-static-devel
Summary:	Static GD library
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
This package contains static gd library.

%package	utils
Requires:	%{libname} = %{version}
Summary:	The Utils files for gd
Group:		System/Libraries

%description	utils
gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

%prep

%setup -q -n gd-%{version}
%patch0 -p1 -b .CAN-2004-0941
%patch1 -p1 -b .CVE-2006-2096
%patch2 -p1 -b .cve-2007-0455
%patch3 -p0 -b .cve-2007-2756
%patch4 -p1 -b .cve-2007-3472
%patch5 -p1 -b .cve-2007-3473
%patch6 -p1 -b .cve-2007-3474
%patch7 -p1 -b .cve-2007-3475
%patch8 -p1 -b .cve-2007-3476
%patch9 -p1 -b .cve-2007-3477
%patch10 -p1 -b .cve-2007-3478
%patch11 -p1 -b .cve-2006-4484

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.7; automake-1.7 --copy --add-missing; autoconf

%configure2_5x

%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gdlib-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/gd.h

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files -n %{libname}
%defattr(-,root,root)
%doc README.TXT index.html
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/gdlib-config
%multiarch %{multiarch_bindir}/gdlib-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*.h
%multiarch %{multiarch_includedir}/*.h

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%files utils
%defattr(-,root,root)
%{_bindir}/annotate
%{_bindir}/bdftogd
%{_bindir}/gd2copypal
%{_bindir}/gd2topng
%{_bindir}/gdparttopng
%{_bindir}/gdtopng
%{_bindir}/pngtogd
%{_bindir}/pngtogd2
%{_bindir}/webpng
%{_bindir}/gd2togif
%{_bindir}/gdcmpgif
%{_bindir}/giftogd2

%changelog
* Thu Feb 07 2008 Vincent Danen <vdanen@mandriva.com> 2.0.33-5.4mdv2007.0
- P11: security fix for CVE-2006-4484

* Wed Jul 25 2007 Gustavo De Nardin <gustavodn@mandriva.com> 2.0.33-5.3mdv2007.0
- P4: security fix for CVE-2007-3472
- P5: security fix for CVE-2007-3473
- P6: security fix for CVE-2007-3474
- P7: security fix for CVE-2007-3475
- P8: security fix for CVE-2007-3476
- P9: security fix for CVE-2007-3477
- P10: security fix for CVE-2007-3478

* Wed Jun 13 2007 Vincent Danen <vdanen@mandriva.com> 2.0.33-5.2mdv2007.0
- P3: security for CVE-2007-2756

* Mon Feb 05 2007 Stew Benedict <sbenedict@mandriva.com> 2.0.33-5.1mdv2007.0
- P2: security for CVE-2007-0455

* Mon Jun 26 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.33-5mdv2006.0
- P1: security fix for CVE-2006-2096

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.33-4mdk
- Rebuild

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.33-3mdk
- some more multiarch support

* Mon Jan 31 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.33-2mdk
- multiarch support, remove "dot" from summaries

* Thu Nov 11 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.33-1mdk
- 2.0.33, still missing an overflow check - patched (patch0)

* Mon Nov  8 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.32-1mdk
- 2.0.32, conditional gif options go away

* Fri Oct 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.28-1mdk
- 2.0.28

* Sun Jul 25 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.27-3mdk
- add BuildRequires: gettext-devel

* Tue Jul 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.27-2mdk
- add conditional gif support (not enabled per default)
- spec file cleanups

* Mon Jul 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.27-1mdk
- 2.0.27

* Wed Jun  9 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.26-1mdk
- 2.0.26

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.22-1mdk
- 2.0.22
- fix buildrequires
- spec cosmetics

* Sat Aug  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.15-3mdk
- Remove auto-required packages, enforce current practise for libgd-devel

* Wed Jul  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.15-2mdk
- Rebuild, clean-ups, provides

* Fri Jun 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.15-1mdk
- 2.0.15
- use the %%configure2_5x macro
- rework the spec file
- requires or buidrequires t1libs is not needed anymore according
  to Francisco Javier Felix

* Mon May 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.12-2mdk
- misc spec file fixes
- added the static devel sub package

* Fri May 16 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.12-1mdk
- 2.0.12

* Mon Feb 03 2003 Franois Pons <fpons@mandrakesoft.com> 2.0.9-3mdk
- fix according David Walser.
- add %%mklibname.
- restored srpm gd, as no more orignial gd exists.

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.9-2mdk
- call srpm gd2, to preserve orginal gd

* Thu Dec 19 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.9-1mdk
- new version, do binaries need to be in /usr/sbin?

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.4-7mdk
- Patch2: Let it bootstrap without any libgd installed beforehand...

* Thu Jun 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.4-6mdk
- Patch1: Nuke references to /usr/local dir for include and library
  search paths. Put defines in a separate variable.

* Tue Jun 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-5mdk
- recompiled for libintl2

* Tue Oct 09 2001 Philippe Libat <philippe@mandrakesoft.com> 1.8.4-4mdk
- rebuild against libpng3

* Tue Apr 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-3mdk
- provide libgd1.8

* Tue Apr 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-2mdk
- gd-utils has no need for a name change
- lib major is 1

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.4-1mdk
- This version should fix 90% if the php-gd issues, and the Linuxconf
  segfault. The previous version was broken, it was not linked with
  the required libraries. This means that Chmou got away with a
  non-functional shared patch for two years. JMD sucks for not having
  found out before that.
- Conforms to the new library policy
- This package is only required by Linuxconf and gd, so it should not break
  anything
- Kyle VanderBeek <kylev@yaga.com> added libgd.a static library to -devel

* Sun Nov  5 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.3-2mdk
- added Xpm and Xbm support

* Sat Nov  4 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.3-1mdk
- 1.8.3
- removed "gif" from descriptions, since it supports PNG since version 1.5
  because of the Unisys GIF patent
- added JPEG support
- added WBMP (intended for wireless devices (not regular web browsers).

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-4mdk
- removed build requires on gd-devel.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-3mdk
- automatically added BuildRequires

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.8.1-2mdk
- add soname

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.8.1-1mdk
- Upgrade to 1.8.1

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Relifting of .spec.
- New shared lib patchs.
- 1.7.
- Add package utils.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- fix typo :-(

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- we can't use >1.5 unless we backport the gif support :-(.
- Add %defattr.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.5

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- built for 5.2
patch_gd2.0.26_gif_040622.bz2
